org.apache.ignite.internal.pagemem.wal.record

## Class TxRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TxRecord

    public class TxRecord
    extends WALRecord

### Nested Class Summary

Nested Classes
`static class` `TxRecord.TxAction` Tx action enum.

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`TxRecord()`

### Method Summary

Methods
`TxRecord.TxAction` `action()`
`void` `action(TxRecord.TxAction action)`
`GridCacheVersion` `dhtVersion()`
`void` `dhtVersion(GridCacheVersion dhtVer)`
`GridCacheVersion` `nearXidVersion()`
`void` `nearXidVersion(GridCacheVersion nearXidVer)`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxRecord

    public TxRecord()

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near xid version.

#### nearXidVersion

    public void nearXidVersion(GridCacheVersion nearXidVer)

Parameters:
  `nearXidVer` - Near xid version.

#### dhtVersion

    public GridCacheVersion dhtVersion()

Returns:
  DHT version.

#### dhtVersion

    public void dhtVersion(GridCacheVersion dhtVer)

Parameters:
  `dhtVer` - DHT version.

#### action

    public TxRecord.TxAction action()

Returns:
  Action.

#### action

    public void action(TxRecord.TxAction action)

Parameters:
  `action` - Action.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017